# @summary A short summary of the purpose of this defined type.
define configbuilder::configbuilder_defined_type (

  String $content = '',
  Integer $order   = '10',
  String[1] $servername = $fqdn,
  # Stdlib::Absolutepath $target = '/tmp/concat.art.test',
  String[1] $target = '/tmp/concat.art.test',
  ) {
  include configbuilder
  # include configbuilder::concat_file

  configbulder::configbulder_defined_type {'artur':
    content => 'artur',
  }

  concat { 'file':
      ensure => present,
      path   => $target
    }

    concat::fragment { 'header':
      target  => $target,
      content => "/n ${::fqdn} /n",
      order   => '01'
    }

    concat::fragment { 'footer':
        target => $target,
        # content => "/n ${::os.family} /n",
        source => '/etc/motd',
        order  => '99'
      }


  if $content == '' {
    $body = $name
  } else {
    $body = $content
  }

  concat::fragment { 'body':
    target  => '/etc/motd',
    order   => $order,
    content => "    -- ${body}\n"
  }


  }
# 
# define configbuilder::configbuilder_defined_type (
#     String $vhost_name = '*',
#     Integer $port = $::port,
#     String[1] $fqdn = $::fqdn,
#     String[1] $servername = $::hostname,
#     # include header
#     # include header::file
#   ){
#     file { "${configbuilder::configbuilder_defined_type::port}/${configbuilder::configbuilder_defined_type::servername}.conf":
#     ensure  => file,
#     owner   => 'www',
#     group   => 'www',
#     mode    => '0644',
#     content => 'defined types test',
#     }

